package com.hzya.frame.sys.productVersion.dao.impl;


import com.hzya.frame.basedao.dao.MybatisGenericDao;
import com.hzya.frame.sys.productVersion.dao.ISysProductVersionMapper;
import com.hzya.frame.sys.productVersion.entity.SysProductVersion;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @description: 应用表  dao
 * @tableName: sys_app
 * @entityName: SysApp
 * @author: llg
 * @history:1.0
 */
@Service
public class SysProductVersionMapperImpl extends MybatisGenericDao<SysProductVersion, String> implements ISysProductVersionMapper {


    @Override
    public SysProductVersion entity_get(Integer id) {
        SysProductVersion o = (SysProductVersion) super.selectOne(getSqlIdPrifx() + "entity_get", id);
        return o;

    }

    @Override
    public List<SysProductVersion> entity_list_base(SysProductVersion SysProductVersion) {
        List<SysProductVersion> o = super.query(getSqlIdPrifx() + "entity_list_base", SysProductVersion);
        return o;
    }

    @Override
    public List<SysProductVersion> entity_list_like(SysProductVersion SysProductVersion) {

        List<SysProductVersion> o = super.query(getSqlIdPrifx() + "entity_list_like", SysProductVersion);
        return o;

    }

    @Override
    public List<SysProductVersion> entity_list_or(SysProductVersion SysProductVersion) {
        List<SysProductVersion> o = super.query(getSqlIdPrifx() + "entity_list_or", SysProductVersion);
        return o;

    }

    @Override
    public SysProductVersion entity_insert(SysProductVersion sysProductVersion) {

        sysProductVersion = super.save(getSqlIdPrifx() + "entity_insert", sysProductVersion);
        return sysProductVersion;

    }

    @Override
    public Integer entity_update(SysProductVersion SysProductVersion) {
        Integer o = super.update(getSqlIdPrifx() + "entity_update", SysProductVersion);
        return o;
    }

    @Override
    public Integer entity_delete(SysProductVersion SysProductVersion) {
        Integer o = super.delete(getSqlIdPrifx() + "entity_delete", SysProductVersion);
        return o;

    }

    @Override
    public Integer logicDelete_Multi_Condition(SysProductVersion SysProductVersion) {

        Integer o = super.delete(getSqlIdPrifx() + "logicDelete_Multi_Condition", SysProductVersion);
        return o;

    }
}
